Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Query Parameters

page
integer<int32>

The page number to request (1 based)

Example:

1

size
integer<int32>

The number of results to return in a page

Example:

100

status
enum<string>[]

Filter by shipment notice order statuses

Filter by shipment notice order statuses

Available options:
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
NOT_COMPLETED,
CANCELLED
condition
enum<string>[]

Filter by shipment notice order conditions

Filter by shipment notice order conditions

Available options:
NEW,
USED
source
enum<string>[]

Filter by source types

Filter by source types

Available options:
SUPPLIER,
OFFICE
shipToWarehouse
string<uuid>[]

Filter by destination warehouse IDs

Filter by destination warehouse IDs

brand
string[]

Filter by vendor / brand codes

Filter by vendor / brand codes

Example:

"APPLE"

category
string[]

Filter by category codes

Filter by category codes

Example:

"COMPUTER"

poNumber
string[]

Filter by purchase order numbers

Filter by purchase order numbers

vendorSku
string[]

Filter by vendor SKUs

Filter by vendor SKUs

skuId
string<uuid>[]

Filter by SKU IDs

Filter by SKU IDs

serialNumber
string[]

Filter by serial numbers of received inventory items

Filter by serial numbers of received inventory items

orderDateFrom
string<date>

Order date range start (ISO-8601)

Example:

"2024-01-01"

orderDateTo
string<date>

Order date range end (ISO-8601)

Example:

"2024-12-31"

sortBy
string

Sort field (createdAt, updatedAt, warehouse, status, submittedBy)

Example:

"createdAt"

sortDirection
string

Sort direction (ASC, DESC)

Example:

"DESC"

Response

Paginated list of shipment notice orders

id
string<uuid>
required

Shipment notice order ID

status
enum<string>
required

Order status

Available options:
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
NOT_COMPLETED,
CANCELLED
sourceType
enum<string>
required

Source type

Available options:
SUPPLIER,
OFFICE
createdAt
string<date-time>
required

Created timestamp

updatedAt
string<date-time>
required

Last updated timestamp

warehouse
object
required

Destination warehouse

shipmentNoticeOrderItems
object[]
required

Order line items

shipmentNoticePackages
object[]
required

Packages in this shipment notice

condition
enum<string>

Condition of items

Available options:
NEW,
USED
purchaseOrderNumber
string

Purchase order number

expectedShipDate
string<date>

Expected ship date

submittedBy
object

Person who submitted the shipment notice.